WorkflowDocsView (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.client.view
Class WorkflowDocsView

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.admin.wfdocviewer.client.view.WorkflowDocsView

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget, Display

    public class WorkflowDocsView

extends com.google.gwt.user.client.ui.Composite
implements Display

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`WorkflowDocsView()`

Method Summary
`void` | `addRoleToPermissionTable(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> rolesToAdd)` metodo troiaio
`com.google.gwt.user.client.ui.Widget` | `asWidget()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getActionsLogButton()`
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getAddCommentsCheckColumn()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getAddnewButton()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getAddRoleButton()`
`com.extjs.gxt.ui.client.widget.ContentPanel` | `getCenterView()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getCreateNewWfReportButton()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getDeleteButton()`
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getDeleteCheckColumn()`
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getDeleteCommentsCheckColumn()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getDetailsButton()`
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getEditPermissionCheckColumn()`
`com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<WfDocumentBean>` | `getGridSelectionModel()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getNextButton()`
`com.extjs.gxt.ui.client.widget.form.ComboBox<WfTemplateBean>` | `getSelectWfTemplateCombo()`
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getUpdateCheckColumn()`
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getUpdateCommentsCheckColumn()`
`HashMap<String,com.extjs.gxt.ui.client.widget.ListView<UserBean>>` | `getUsersAndRoles()` return a map containing for each key (rolename) the list of associated users listView
`com.google.gwt.user.cellview.client.Column<RoleStep,Boolean>` | `getViewCheckColumn()`
`com.extjs.gxt.ui.client.widget.ContentPanel` | `getWestView()`
`org.gcube.portlets.widgets.lighttree.client.load.WorkspaceLightTreeLoadPopup` | `getWSTreepopup()`
`void` | `maskCenterPanel(String message, boolean mask)`
`void` | `maskWestPanel(String message, boolean mask)`
`void` | `openReportTree()`
`void` | `setData(List<WfDocumentBean> data)`
`void` | `showAddnewWfDocPanel()`
`void` | `showAssignRolesToUsersPanel(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> roles, ArrayList<UserBean> users)` Shows the roles defined for this report Workflow and the allows to assign them users
`void` | `showInstanciateNewWorkflowPanel(String reportid, String reportName, ArrayList<WfTemplateBean> templates)` show the panel to allow the association of a wf template to a report document
`void` | `showWfReportDetails(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template, String status)` show the panel to see a given wf report details (permissions and forwardActions)
`void` | `showWfTemplateToInstanciate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template, com.google.gwt.event.dom.client.ClickHandler clickHandler)` show the tabpanel containing a tab fore each step
`void` | `updateSize()`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowDocsView

    public WorkflowDocsView()

Method Detail

### setData

    public void setData(List<WfDocumentBean> data)

  Specified by:
    `setData` in interface `Display`

### updateSize

    public void updateSize()

  Specified by:
    `updateSize` in interface `Display`

### showAssignRolesToUsersPanel

    public void showAssignRolesToUsersPanel(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> roles,
                                            ArrayList<UserBean> users)

  Shows the roles defined for this report Workflow and the allows to assign them users

  Specified by:
    `showAssignRolesToUsersPanel` in interface `Display`

### openReportTree

    public void openReportTree()

### showWfReportDetails

    public void showWfReportDetails(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template,
                                    String status)

  show the panel to see a given wf report details (permissions and forwardActions)

  Specified by:
    `showWfReportDetails` in interface `Display`

### showInstanciateNewWorkflowPanel

    public void showInstanciateNewWorkflowPanel(String reportid,
                                                String reportName,
                                                ArrayList<WfTemplateBean> templates)

  show the panel to allow the association of a wf template to a report document

  Specified by:
    `showInstanciateNewWorkflowPanel` in interface `Display`

### showWfTemplateToInstanciate

    public void showWfTemplateToInstanciate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate template,
                                            com.google.gwt.event.dom.client.ClickHandler clickHandler)

  show the tabpanel containing a tab fore each step

  Specified by:
    `showWfTemplateToInstanciate` in interface `Display`

### addRoleToPermissionTable

    public void addRoleToPermissionTable(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRole> rolesToAdd)

  metodo troiaio

  Specified by:
    `addRoleToPermissionTable` in interface `Display`
  Parameters:
    `vp` -
    `roleToAdd` -
    `roles` -

### maskCenterPanel

    public void maskCenterPanel(String message,
                                boolean mask)

  Specified by:
    `maskCenterPanel` in interface `Display`

### getDeleteButton

    public com.extjs.gxt.ui.client.widget.button.Button getDeleteButton()

  Specified by:
    `getDeleteButton` in interface `Display`

### getDetailsButton

    public com.extjs.gxt.ui.client.widget.button.Button getDetailsButton()

  Specified by:
    `getDetailsButton` in interface `Display`

### getAddnewButton

    public com.extjs.gxt.ui.client.widget.button.Button getAddnewButton()

  Specified by:
    `getAddnewButton` in interface `Display`

### getActionsLogButton

    public com.extjs.gxt.ui.client.widget.button.Button getActionsLogButton()

  Specified by:
    `getActionsLogButton` in interface `Display`

### getAddRoleButton

    public com.google.gwt.event.dom.client.HasClickHandlers getAddRoleButton()

  Specified by:
    `getAddRoleButton` in interface `Display`

### getCreateNewWfReportButton

    public com.extjs.gxt.ui.client.widget.button.Button getCreateNewWfReportButton()

  Specified by:
    `getCreateNewWfReportButton` in interface `Display`

### getNextButton

    public com.extjs.gxt.ui.client.widget.button.Button getNextButton()

  Specified by:
    `getNextButton` in interface `Display`

### getSelectWfTemplateCombo

    public com.extjs.gxt.ui.client.widget.form.ComboBox<WfTemplateBean> getSelectWfTemplateCombo()

  Specified by:
    `getSelectWfTemplateCombo` in interface `Display`

### getWSTreepopup

    public org.gcube.portlets.widgets.lighttree.client.load.WorkspaceLightTreeLoadPopup getWSTreepopup()

  Specified by:
    `getWSTreepopup` in interface `Display`

### getViewCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getViewCheckColumn()

  Specified by:
    `getViewCheckColumn` in interface `Display`

### getDeleteCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getDeleteCheckColumn()

  Specified by:
    `getDeleteCheckColumn` in interface `Display`

### getDeleteCommentsCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getDeleteCommentsCheckColumn()

  Specified by:
    `getDeleteCommentsCheckColumn` in interface `Display`

### getEditPermissionCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getEditPermissionCheckColumn()

  Specified by:
    `getEditPermissionCheckColumn` in interface `Display`

### getUpdateCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getUpdateCheckColumn()

  Specified by:
    `getUpdateCheckColumn` in interface `Display`

### getUpdateCommentsCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getUpdateCommentsCheckColumn()

  Specified by:
    `getUpdateCommentsCheckColumn` in interface `Display`

### getAddCommentsCheckColumn

    public com.google.gwt.user.cellview.client.Column<RoleStep,Boolean> getAddCommentsCheckColumn()

  Specified by:
    `getAddCommentsCheckColumn` in interface `Display`

### asWidget

    public com.google.gwt.user.client.ui.Widget asWidget()

  Specified by:
    `asWidget` in interface `com.google.gwt.user.client.ui.IsWidget`
  Specified by:
    `asWidget` in interface `Display`
  Overrides:
    `asWidget` in class `com.google.gwt.user.client.ui.Widget`

### getWestView

    public com.extjs.gxt.ui.client.widget.ContentPanel getWestView()

  Returns:
    .

### getCenterView

    public com.extjs.gxt.ui.client.widget.ContentPanel getCenterView()

  Returns:
    -

### showAddnewWfDocPanel

    public void showAddnewWfDocPanel()

  Specified by:
    `showAddnewWfDocPanel` in interface `Display`

### getUsersAndRoles

    public HashMap<String,com.extjs.gxt.ui.client.widget.ListView<UserBean>> getUsersAndRoles()

  return a map containing for each key (rolename) the list of associated users listView

  Specified by:
    `getUsersAndRoles` in interface `Display`

### maskWestPanel

    public void maskWestPanel(String message,
                              boolean mask)

  Specified by:
    `maskWestPanel` in interface `Display`

### getGridSelectionModel

    public com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<WfDocumentBean> getGridSelectionModel()

  Specified by:
    `getGridSelectionModel` in interface `Display`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.